<div class="form-control" [ngClass]="{'form-control--error': showError}">
  @if (for) {
    @if (label) {
      <label class="form-label" [for]="for">{{label}}</label>
    } @else {
      <label class="form-label" [for]="for"></label>
    }
  }
  <ng-content></ng-content>
  @if (showError) {
    <div class="form-error-text">{{errorMessage}}</div>
  }
</div>
